Main Page Class Hierarchy Compound List File List Compound Members File Members

# GLOBAL_LOC_DATA Struct Reference

`#include <global_loc_rw.h>`

List of all members.

## Public Attributes
unsigned short | version
MSG_LOGO | logo
long | event_id
long | origin_id
char | origin_time [19]
double | lat
double | lon
float | depth
float | gap
float | dmin
float | rms
short | pick_count
short | nphs
GLOBAL_PHSLINE_STRUCT | phases [GLOBAL_LOC_MAXPHS]

## Member Data Documentation

float GLOBAL_LOC_DATA::depth

| Definition at line 142 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

float GLOBAL_LOC_DATA::dmin

| Definition at line 144 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

long GLOBAL_LOC_DATA::event_id

| Definition at line 137 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

float GLOBAL_LOC_DATA::gap

| Definition at line 143 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

double GLOBAL_LOC_DATA::lat

| Definition at line 140 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

MSG_LOGO GLOBAL_LOC_DATA::logo

| Definition at line 136 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

double GLOBAL_LOC_DATA::lon

| Definition at line 141 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

short GLOBAL_LOC_DATA::nphs

| Definition at line 147 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), ClearPhaseLines(), GetLocPhaseIndex(), InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

long GLOBAL_LOC_DATA::origin_id

| Definition at line 138 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

char GLOBAL_LOC_DATA::origin_time[19]

| Definition at line 139 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

GLOBAL_PHSLINE_STRUCT GLOBAL_LOC_DATA::phases[GLOBAL_LOC_MAXPHS]

| Definition at line 148 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), GetLocPhaseIndex(), InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

short GLOBAL_LOC_DATA::pick_count

| Definition at line 146 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

float GLOBAL_LOC_DATA::rms

| Definition at line 145 of file global_loc_rw.h. Referenced by InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

unsigned short GLOBAL_LOC_DATA::version

| Definition at line 135 of file global_loc_rw.h. Referenced by AddPhaseLineToLoc(), ClearPhaseLines(), InitGlobalLoc(), StringToLoc(), and WriteLocToBuffer().

The documentation for this struct was generated from the following file:

- global_loc_rw.h